GameTooltip:HookScript("OnTooltipSetItem", function(tooltip, ...)
	-- probably a better way of getting these but this works
	local iName, iLink = tooltip:GetItem()
	local itemName, itemLink, itemQuality, itemLevel, itemMinLevel, itemType,
	itemSubType, itemStackCount, itemEquipLoc, itemTexture, sellPrice, classID,
	subclassID, bindType, expacID, setID, isCraftingReagent = GetItemInfo(iLink)
	
	-- make sure item is a Shadowlands Legendary armor piece and we are in a container or character frame
	if expacID == 8 and
		itemQuality == 5 and
		classID == 4 and
		(string.find(tooltip:GetOwner():GetName(), "Character") or 
		string.find(tooltip:GetOwner():GetName(), "Container")) then
	
		local soulAshCurrencyInfo = C_CurrencyInfo.GetCurrencyInfo(1828)
		local currentSoulAsh = soulAshCurrencyInfo.quantity
		
		local soulAshTex = soulAshCurrencyInfo.iconFileID
		
		tooltip:AddLine(" ") -- create an empty line for spacing
		tooltip:AddLine(tostring(currentSoulAsh))
		tooltip:AddTexture(soulAshTex)
		
		-- the totals for each rank if crafted individually
		local rank1 = 1250
		local rank2 = 2000
		local rank3 = 3200
		local rank4 = 5150
		
		local toRank2s = " to Rank 2 (210)"
		local toRank3s = " to Rank 3 (225)"
		local toRank4s = " to Rank 4 (235)"
		
		-- probably a much better way of doing all this but this works
		if itemLevel == 190 then
			if currentSoulAsh >= rank2-rank1 then
				tooltip:AddLine(tostring(rank2-rank1)..toRank2s, 0, 1, 0)
			else
				tooltip:AddLine(tostring(rank2-rank1)..toRank2s, 1, 0, 0)
				tooltip:AddLine("    "..tostring((rank2-rank1)-currentSoulAsh).." short", 1, 0, 0)
			end
			if currentSoulAsh >= rank3-rank1 then
				tooltip:AddLine(tostring(rank3-rank1)..toRank3s, 0, 1, 0)
			else
				tooltip:AddLine(tostring(rank3-rank1)..toRank3s, 1, 0, 0)
				tooltip:AddLine("    "..tostring((rank3-rank1)-currentSoulAsh).." short", 1, 0, 0)
			end
			if currentSoulAsh >= rank4-rank1 then
				tooltip:AddLine(tostring(rank4-rank1)..toRank4s, 0, 1, 0)
			else
				tooltip:AddLine(tostring(rank4-rank1)..toRank4s, 1, 0, 0)
				tooltip:AddLine("    "..tostring((rank4-rank1)-currentSoulAsh).." short", 1, 0, 0)
			end
		end
		
		if itemLevel == 210 then
			if currentSoulAsh >= rank3-rank2 then
				tooltip:AddLine(tostring(rank3-rank2)..toRank3s, 0, 1, 0)
			else
				tooltip:AddLine(tostring(rank3-rank2)..toRank3s, 1, 0, 0)
				tooltip:AddLine("    "..tostring((rank3-rank2)-currentSoulAsh).." short", 1, 0, 0)
			end
			if currentSoulAsh >= rank4-rank2 then
				tooltip:AddLine(tostring(rank4-rank2)..toRank4s, 0, 1, 0)
			else
				tooltip:AddLine(tostring(rank4-rank2)..toRank4s, 1, 0, 0)
				tooltip:AddLine("    "..tostring((rank4-rank2)-currentSoulAsh).." short", 1, 0, 0)
			end
		end
		
		if itemLevel == 225 then
			if currentSoulAsh >= rank4-rank3 then
				tooltip:AddLine(tostring(rank4-rank3)..toRank4s, 0, 1, 0)
			else
				tooltip:AddLine(tostring(rank4-rank3)..toRank4s, 1, 0, 0)
				tooltip:AddLine("    "..tostring((rank4-rank3)-currentSoulAsh).." short", 1, 0, 0)
			end
		end
		
		if itemLevel == 235 then
			tooltip:AddLine("Max Rank", 0, 1, 0)
		end
	end

	tooltip:Show()
end)